Open CASCADE Technology: TopOpeBRepTool_IndexedDataMapOfSolidClassifier Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TopOpeBRepTool_IndexedDataMapOfSolidClassifier Class Reference

`#include <TopOpeBRepTool_IndexedDataMapOfSolidClassifier.hxx>`

Inheritance diagram for TopOpeBRepTool_IndexedDataMapOfSolidClassifier:
[legend]

## Public Member Functions
| TopOpeBRepTool_IndexedDataMapOfSolidClassifier (const Standard_Integer NbBuckets=1)
TopOpeBRepTool_IndexedDataMapOfSolidClassifier & | Assign (const TopOpeBRepTool_IndexedDataMapOfSolidClassifier &Other)
TopOpeBRepTool_IndexedDataMapOfSolidClassifier & | operator= (const TopOpeBRepTool_IndexedDataMapOfSolidClassifier &Other)
void | ReSize (const Standard_Integer NbBuckets)
void | Clear ()
| ~TopOpeBRepTool_IndexedDataMapOfSolidClassifier ()
Standard_Integer | Add (const TopoDS_Shape &K, const BRepClass3d_SolidClassifier &I)
void | Substitute (const Standard_Integer I, const TopoDS_Shape &K, const BRepClass3d_SolidClassifier &T)
void | RemoveLast ()
Standard_Boolean | Contains (const TopoDS_Shape &K) const
const TopoDS_Shape & | FindKey (const Standard_Integer I) const
const BRepClass3d_SolidClassifier & | FindFromIndex (const Standard_Integer I) const
const BRepClass3d_SolidClassifier & | operator() (const Standard_Integer I) const
BRepClass3d_SolidClassifier & | ChangeFromIndex (const Standard_Integer I)
BRepClass3d_SolidClassifier & | operator() (const Standard_Integer I)
Standard_Integer | FindIndex (const TopoDS_Shape &K) const
const BRepClass3d_SolidClassifier & | FindFromKey (const TopoDS_Shape &K) const
BRepClass3d_SolidClassifier & | ChangeFromKey (const TopoDS_Shape &K)
Standard_Address | FindFromKey1 (const TopoDS_Shape &K) const
Standard_Address | ChangeFromKey1 (const TopoDS_Shape &K)
Public Member Functions inherited from TCollection_BasicMap
Standard_Integer | NbBuckets () const
| Returns the number of buckets in <me>. More...
Standard_Integer | Extent () const
| Returns the number of keys already stored in <me>. More...
Standard_Boolean | IsEmpty () const
| Returns True when the map contains no keys. This is exactly Extent() == 0. More...
void | Statistics (Standard_OStream &S) const
| Prints on <S> usefull statistics about the map <me>. It can be used to test the quality of the hashcoding. More...

## Additional Inherited Members
Protected Member Functions inherited from TCollection_BasicMap
| TCollection_BasicMap (const Standard_Integer NbBuckets, const Standard_Boolean single)
| Initialize the map. Single is True when the map uses only one table of buckets. More...
Standard_Boolean | BeginResize (const Standard_Integer NbBuckets, Standard_Integer &NewBuckets, Standard_Address &data1, Standard_Address &data2) const
| Tries to resize the Map with NbBuckets. Returns True if possible, NewBuckts is the new nuber of buckets. data1 and data2 are the new tables of buckets where the data must be copied. More...
void | EndResize (const Standard_Integer NbBuckets, const Standard_Integer NewBuckets, const Standard_Address data1, const Standard_Address data2)
| If BeginResize was succesfull after copying the data to data1 and data2 this methods update the tables and destroys the old ones. More...
Standard_Boolean | Resizable () const
| Returns True if resizing the map should be considered. More...
void | Increment ()
| Decrement the extent of the map. More...
void | Decrement ()
| Decrement the extent of the map. More...
void | Destroy ()
| Destroys the buckets. More...
Protected Attributes inherited from TCollection_BasicMap
Standard_Address | myData1
Standard_Address | myData2

## Constructor & Destructor Documentation

TopOpeBRepTool_IndexedDataMapOfSolidClassifier::TopOpeBRepTool_IndexedDataMapOfSolidClassifier | ( | const Standard_Integer | NbBuckets = `1` | ) |

TopOpeBRepTool_IndexedDataMapOfSolidClassifier::~TopOpeBRepTool_IndexedDataMapOfSolidClassifier | ( |  | ) |
| inline

## Member Function Documentation

Standard_Integer TopOpeBRepTool_IndexedDataMapOfSolidClassifier::Add | ( | const TopoDS_Shape & | K,
|  | const BRepClass3d_SolidClassifier & | I
| ) |  |

TopOpeBRepTool_IndexedDataMapOfSolidClassifier& TopOpeBRepTool_IndexedDataMapOfSolidClassifier::Assign | ( | const TopOpeBRepTool_IndexedDataMapOfSolidClassifier & | Other | ) |

BRepClass3d_SolidClassifier& TopOpeBRepTool_IndexedDataMapOfSolidClassifier::ChangeFromIndex | ( | const Standard_Integer | I | ) |

BRepClass3d_SolidClassifier& TopOpeBRepTool_IndexedDataMapOfSolidClassifier::ChangeFromKey | ( | const TopoDS_Shape & | K | ) |

Standard_Address TopOpeBRepTool_IndexedDataMapOfSolidClassifier::ChangeFromKey1 | ( | const TopoDS_Shape & | K | ) |

void TopOpeBRepTool_IndexedDataMapOfSolidClassifier::Clear | ( |  | ) |

Standard_Boolean TopOpeBRepTool_IndexedDataMapOfSolidClassifier::Contains | ( | const TopoDS_Shape & | K | ) | const

const BRepClass3d_SolidClassifier& TopOpeBRepTool_IndexedDataMapOfSolidClassifier::FindFromIndex | ( | const Standard_Integer | I | ) | const

const BRepClass3d_SolidClassifier& TopOpeBRepTool_IndexedDataMapOfSolidClassifier::FindFromKey | ( | const TopoDS_Shape & | K | ) | const

Standard_Address TopOpeBRepTool_IndexedDataMapOfSolidClassifier::FindFromKey1 | ( | const TopoDS_Shape & | K | ) | const

Standard_Integer TopOpeBRepTool_IndexedDataMapOfSolidClassifier::FindIndex | ( | const TopoDS_Shape & | K | ) | const

const TopoDS_Shape& TopOpeBRepTool_IndexedDataMapOfSolidClassifier::FindKey | ( | const Standard_Integer | I | ) | const

const BRepClass3d_SolidClassifier& TopOpeBRepTool_IndexedDataMapOfSolidClassifier::operator() | ( | const Standard_Integer | I | ) | const
| inline

BRepClass3d_SolidClassifier& TopOpeBRepTool_IndexedDataMapOfSolidClassifier::operator() | ( | const Standard_Integer | I | ) |
| inline

TopOpeBRepTool_IndexedDataMapOfSolidClassifier& TopOpeBRepTool_IndexedDataMapOfSolidClassifier::operator= | ( | const TopOpeBRepTool_IndexedDataMapOfSolidClassifier & | Other | ) |
| inline

void TopOpeBRepTool_IndexedDataMapOfSolidClassifier::RemoveLast | ( |  | ) |

void TopOpeBRepTool_IndexedDataMapOfSolidClassifier::ReSize | ( | const Standard_Integer | NbBuckets | ) |

void TopOpeBRepTool_IndexedDataMapOfSolidClassifier::Substitute | ( | const Standard_Integer | I,
|  | const TopoDS_Shape & | K,
|  | const BRepClass3d_SolidClassifier & | T
| ) |  |

The documentation for this class was generated from the following file:

- TopOpeBRepTool_IndexedDataMapOfSolidClassifier.hxx